[2025-09-03 18:30:53] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:30:53] DEBUG: Raw request param: {"user_email":"fudcs44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Apple Pay","payment_token":"https:\/\/pay.example.com\/link\/12345XYZ","errorDetails":null}
[2025-09-03 18:30:53] DEBUG: Sanitized Values - Email: fudcs44@gmail.com, Status: LINK_GENERATED, Method: Apple Pay, Error JSON: , Token: https://pay.example.com/link/12345XYZ
[2025-09-03 18:30:53] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:30:53] DEBUG: Bound Parameters - [LINK_GENERATED, Apple Pay, , https://pay.example.com/link/12345XYZ, fudcs44@gmail.com]
[2025-09-03 18:30:53] DEBUG: Affected Rows: 0
[2025-09-03 18:30:53] DEBUG: updatePaymentStatus() result: false
[2025-09-03 18:41:10] INFO: Raw input received: {"user_email":"fuffdfgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:41:10] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:41:10] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:41:10] DEBUG: Raw request param: {"user_email":"fuffdfgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:41:10] DEBUG: Sanitized Values - Email: fuffdfgffsc44@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:41:10] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:41:10] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fuffdfgffsc44@gmail.com]
[2025-09-03 18:41:10] DEBUG: Affected Rows: 1
[2025-09-03 18:41:10] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:41:10] SUCCESS: Payment status updated for fuffdfgffsc44@gmail.com
[2025-09-03 18:41:12] INFO: Raw input received: {"user_email":"fuffdfgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=2d6569719e624200a7aa0af293f22b5d","errorDetails":null}
[2025-09-03 18:41:12] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:41:12] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:41:12] DEBUG: Raw request param: {"user_email":"fuffdfgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=2d6569719e624200a7aa0af293f22b5d","errorDetails":null}
[2025-09-03 18:41:12] DEBUG: Sanitized Values - Email: fuffdfgffsc44@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=2d6569719e624200a7aa0af293f22b5d
[2025-09-03 18:41:12] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:41:12] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=2d6569719e624200a7aa0af293f22b5d, fuffdfgffsc44@gmail.com]
[2025-09-03 18:41:12] DEBUG: Affected Rows: 1
[2025-09-03 18:41:12] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:41:12] SUCCESS: Payment status updated for fuffdfgffsc44@gmail.com
[2025-09-03 18:49:19] INFO: Raw input received: {"user_email":"fida2754x@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:49:19] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:49:19] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:49:19] DEBUG: Raw request param: {"user_email":"fida2754x@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:49:19] DEBUG: Sanitized Values - Email: fida2754x@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:49:19] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:49:19] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida2754x@gmail.com]
[2025-09-03 18:49:19] DEBUG: Affected Rows: 0
[2025-09-03 18:49:19] DEBUG: updatePaymentStatus() result: false
[2025-09-03 18:49:19] WARNING: No matching record found for user_email: fida2754x@gmail.com
[2025-09-03 18:49:20] INFO: Raw input received: {"user_email":"fida2754x@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=70201033bd5e42aca5c519ff69dfc5c1","errorDetails":null}
[2025-09-03 18:49:20] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:49:20] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:49:20] DEBUG: Raw request param: {"user_email":"fida2754x@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=70201033bd5e42aca5c519ff69dfc5c1","errorDetails":null}
[2025-09-03 18:49:20] DEBUG: Sanitized Values - Email: fida2754x@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=70201033bd5e42aca5c519ff69dfc5c1
[2025-09-03 18:49:20] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:49:20] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=70201033bd5e42aca5c519ff69dfc5c1, fida2754x@gmail.com]
[2025-09-03 18:49:20] DEBUG: Affected Rows: 1
[2025-09-03 18:49:20] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:49:20] SUCCESS: Payment status updated for fida2754x@gmail.com
[2025-09-03 18:52:46] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:52:46] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:52:46] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:52:46] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:52:46] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:52:46] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:52:46] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-09-03 18:52:46] DEBUG: Affected Rows: 1
[2025-09-03 18:52:46] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:52:46] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:52:46] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Gateway Error: Not logged in or token expired, please log in"}
[2025-09-03 18:52:46] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:52:46] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:52:46] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Gateway Error: Not logged in or token expired, please log in"}
[2025-09-03 18:52:46] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Gateway Error: Not logged in or token expired, please log in\", Token: 
[2025-09-03 18:52:46] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:52:46] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Gateway Error: Not logged in or token expired, please log in\", , fida275@gmail.com]
[2025-09-03 18:52:46] DEBUG: Affected Rows: 1
[2025-09-03 18:52:46] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:52:46] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:52:53] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:52:53] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:52:53] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:52:53] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:52:53] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:52:53] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:52:53] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-09-03 18:52:53] DEBUG: Affected Rows: 1
[2025-09-03 18:52:53] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:52:53] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:52:53] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Gateway Error: Not logged in or token expired, please log in"}
[2025-09-03 18:52:53] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:52:53] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:52:53] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Gateway Error: Not logged in or token expired, please log in"}
[2025-09-03 18:52:53] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Gateway Error: Not logged in or token expired, please log in\", Token: 
[2025-09-03 18:52:53] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:52:53] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Gateway Error: Not logged in or token expired, please log in\", , fida275@gmail.com]
[2025-09-03 18:52:53] DEBUG: Affected Rows: 1
[2025-09-03 18:52:53] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:52:53] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:53:36] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:53:36] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:53:36] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:53:36] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:53:36] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:53:36] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:53:36] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-09-03 18:53:36] DEBUG: Affected Rows: 1
[2025-09-03 18:53:36] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:53:36] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:53:37] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=93a8230652a54467adb240b0e0dbfc31","errorDetails":null}
[2025-09-03 18:53:37] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:53:37] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:53:37] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=93a8230652a54467adb240b0e0dbfc31","errorDetails":null}
[2025-09-03 18:53:37] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=93a8230652a54467adb240b0e0dbfc31
[2025-09-03 18:53:37] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:53:37] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=93a8230652a54467adb240b0e0dbfc31, fida275@gmail.com]
[2025-09-03 18:53:37] DEBUG: Affected Rows: 1
[2025-09-03 18:53:37] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:53:37] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-03 18:55:31] INFO: Raw input received: {"user_email":"fuffdffgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:55:31] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:55:31] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:55:31] DEBUG: Raw request param: {"user_email":"fuffdffgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:55:31] DEBUG: Sanitized Values - Email: fuffdffgffsc44@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:55:31] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:55:31] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fuffdffgffsc44@gmail.com]
[2025-09-03 18:55:31] DEBUG: Affected Rows: 1
[2025-09-03 18:55:31] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:55:31] SUCCESS: Payment status updated for fuffdffgffsc44@gmail.com
[2025-09-03 18:55:32] INFO: Raw input received: {"user_email":"fuffdffgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=b41181f4762549f28da3ca5929b2a05f","errorDetails":null}
[2025-09-03 18:55:32] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:55:32] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:55:32] DEBUG: Raw request param: {"user_email":"fuffdffgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=b41181f4762549f28da3ca5929b2a05f","errorDetails":null}
[2025-09-03 18:55:32] DEBUG: Sanitized Values - Email: fuffdffgffsc44@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=b41181f4762549f28da3ca5929b2a05f
[2025-09-03 18:55:32] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:55:32] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=b41181f4762549f28da3ca5929b2a05f, fuffdffgffsc44@gmail.com]
[2025-09-03 18:55:32] DEBUG: Affected Rows: 1
[2025-09-03 18:55:32] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:55:32] SUCCESS: Payment status updated for fuffdffgffsc44@gmail.com
[2025-09-03 18:55:45] INFO: Raw input received: {"user_email":"fuffdffgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:55:45] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:55:45] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:55:45] DEBUG: Raw request param: {"user_email":"fuffdffgffsc44@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-03 18:55:45] DEBUG: Sanitized Values - Email: fuffdffgffsc44@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-03 18:55:45] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:55:45] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fuffdffgffsc44@gmail.com]
[2025-09-03 18:55:45] DEBUG: Affected Rows: 1
[2025-09-03 18:55:45] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:55:45] SUCCESS: Payment status updated for fuffdffgffsc44@gmail.com
[2025-09-03 18:55:47] INFO: Raw input received: {"user_email":"fuffdffgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=22471db6538a49cdabff02463a3a44bf","errorDetails":null}
[2025-09-03 18:55:47] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-03 18:55:47] DEBUG: Starting updatePaymentStatus()
[2025-09-03 18:55:47] DEBUG: Raw request param: {"user_email":"fuffdffgffsc44@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=22471db6538a49cdabff02463a3a44bf","errorDetails":null}
[2025-09-03 18:55:47] DEBUG: Sanitized Values - Email: fuffdffgffsc44@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=22471db6538a49cdabff02463a3a44bf
[2025-09-03 18:55:47] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-03 18:55:47] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=22471db6538a49cdabff02463a3a44bf, fuffdffgffsc44@gmail.com]
[2025-09-03 18:55:47] DEBUG: Affected Rows: 1
[2025-09-03 18:55:47] DEBUG: updatePaymentStatus() result: true
[2025-09-03 18:55:47] SUCCESS: Payment status updated for fuffdffgffsc44@gmail.com
[2025-09-04 02:24:04] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-04 02:24:04] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-04 02:24:04] DEBUG: Starting updatePaymentStatus()
[2025-09-04 02:24:04] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-09-04 02:24:04] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-09-04 02:24:04] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-04 02:24:04] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-09-04 02:24:04] DEBUG: Affected Rows: 1
[2025-09-04 02:24:04] DEBUG: updatePaymentStatus() result: true
[2025-09-04 02:24:04] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-04 02:24:07] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https://checkout.pingpong.sparkhams.com/index.html?token=78fa7287dfec439c949e01f8c3810338","errorDetails":null}
[2025-09-04 02:24:07] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-04 02:24:07] DEBUG: Starting updatePaymentStatus()
[2025-09-04 02:24:07] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"LINK_GENERATED","paymentMethod":"Google Pay","payment_token":"https:\/\/checkout.pingpong.sparkhams.com\/index.html?token=78fa7287dfec439c949e01f8c3810338","errorDetails":null}
[2025-09-04 02:24:07] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: LINK_GENERATED, Method: Google Pay, Error JSON: , Token: https://checkout.pingpong.sparkhams.com/index.html?token=78fa7287dfec439c949e01f8c3810338
[2025-09-04 02:24:07] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-04 02:24:07] DEBUG: Bound Parameters - [LINK_GENERATED, Google Pay, , https://checkout.pingpong.sparkhams.com/index.html?token=78fa7287dfec439c949e01f8c3810338, fida275@gmail.com]
[2025-09-04 02:24:07] DEBUG: Affected Rows: 1
[2025-09-04 02:24:07] DEBUG: updatePaymentStatus() result: true
[2025-09-04 02:24:07] SUCCESS: Payment status updated for fida275@gmail.com
[2025-09-06 02:05:17] INFO: Raw input received: 
[2025-09-06 02:05:17] ERROR: Missing or invalid user_email.
[2025-09-26 08:36:51] INFO: Raw input received: 
[2025-09-26 08:36:51] ERROR: Missing or invalid user_email.
[2025-09-26 08:36:56] INFO: Raw input received: 
[2025-09-26 08:36:56] ERROR: Missing or invalid user_email.
[2025-09-27 22:30:00] INFO: Raw input received: 
[2025-09-27 22:30:00] ERROR: Missing or invalid user_email.
[2025-09-28 06:52:40] INFO: Raw input received: 
[2025-09-28 06:52:40] ERROR: Missing or invalid user_email.
[2025-09-28 19:01:07] INFO: Raw input received: {"user_email":"diary-crazy76@icloud.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-09-28 19:01:07] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-28 19:01:07] DEBUG: Starting updatePaymentStatus()
[2025-09-28 19:01:07] DEBUG: Raw request param: {"user_email":"diary-crazy76@icloud.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-09-28 19:01:07] DEBUG: Sanitized Values - Email: diary-crazy76@icloud.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-09-28 19:01:07] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-28 19:01:07] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , diary-crazy76@icloud.com]
[2025-09-28 19:01:07] DEBUG: Affected Rows: 1
[2025-09-28 19:01:07] DEBUG: updatePaymentStatus() result: true
[2025-09-28 19:01:07] SUCCESS: Payment status updated for diary-crazy76@icloud.com
[2025-09-28 19:02:18] INFO: Raw input received: {"user_email":"diary-crazy76@icloud.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-09-28 19:02:18] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-28 19:02:18] DEBUG: Starting updatePaymentStatus()
[2025-09-28 19:02:18] DEBUG: Raw request param: {"user_email":"diary-crazy76@icloud.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-09-28 19:02:18] DEBUG: Sanitized Values - Email: diary-crazy76@icloud.com, Status: FAIL, Method: Apple Pay, Error JSON: \"undefined is not an object (evaluating \'e.data\')\", Token: 
[2025-09-28 19:02:18] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-28 19:02:18] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"undefined is not an object (evaluating \'e.data\')\", , diary-crazy76@icloud.com]
[2025-09-28 19:02:18] DEBUG: Affected Rows: 1
[2025-09-28 19:02:18] DEBUG: updatePaymentStatus() result: true
[2025-09-28 19:02:18] SUCCESS: Payment status updated for diary-crazy76@icloud.com
[2025-09-28 19:02:19] INFO: Raw input received: {"user_email":"diary-crazy76@icloud.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-09-28 19:02:19] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-28 19:02:19] DEBUG: Starting updatePaymentStatus()
[2025-09-28 19:02:19] DEBUG: Raw request param: {"user_email":"diary-crazy76@icloud.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-09-28 19:02:19] DEBUG: Sanitized Values - Email: diary-crazy76@icloud.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-09-28 19:02:19] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-28 19:02:19] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , diary-crazy76@icloud.com]
[2025-09-28 19:02:19] DEBUG: Affected Rows: 1
[2025-09-28 19:02:19] DEBUG: updatePaymentStatus() result: true
[2025-09-28 19:02:19] SUCCESS: Payment status updated for diary-crazy76@icloud.com
[2025-09-28 19:06:51] INFO: Raw input received: {"user_email":"diary-crazy76@icloud.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-09-28 19:06:51] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-09-28 19:06:51] DEBUG: Starting updatePaymentStatus()
[2025-09-28 19:06:51] DEBUG: Raw request param: {"user_email":"diary-crazy76@icloud.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-09-28 19:06:51] DEBUG: Sanitized Values - Email: diary-crazy76@icloud.com, Status: FAIL, Method: Apple Pay, Error JSON: \"undefined is not an object (evaluating \'e.data\')\", Token: 
[2025-09-28 19:06:51] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-09-28 19:06:51] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"undefined is not an object (evaluating \'e.data\')\", , diary-crazy76@icloud.com]
[2025-09-28 19:06:51] DEBUG: Affected Rows: 1
[2025-09-28 19:06:51] DEBUG: updatePaymentStatus() result: true
[2025-09-28 19:06:51] SUCCESS: Payment status updated for diary-crazy76@icloud.com
[2025-10-04 17:10:22] INFO: Raw input received: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-04 17:10:22] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-04 17:10:22] DEBUG: Starting updatePaymentStatus()
[2025-10-04 17:10:22] DEBUG: Raw request param: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-04 17:10:22] DEBUG: Sanitized Values - Email: Sheikhazeem.pk@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-04 17:10:22] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-04 17:10:22] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , Sheikhazeem.pk@gmail.com]
[2025-10-04 17:10:22] DEBUG: Affected Rows: 1
[2025-10-04 17:10:22] DEBUG: updatePaymentStatus() result: true
[2025-10-04 17:10:22] SUCCESS: Payment status updated for Sheikhazeem.pk@gmail.com
[2025-10-07 13:47:23] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:47:23] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:47:23] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:47:23] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:47:23] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-07 13:47:23] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:47:23] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , rschneider@smileddc.com]
[2025-10-07 13:47:23] DEBUG: Affected Rows: 1
[2025-10-07 13:47:23] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:47:23] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:48:24] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:48:24] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:48:24] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:48:24] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:48:24] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-07 13:48:24] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:48:24] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , rschneider@smileddc.com]
[2025-10-07 13:48:24] DEBUG: Affected Rows: 1
[2025-10-07 13:48:24] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:48:24] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:49:30] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:49:30] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:49:30] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:49:30] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:49:30] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-07 13:49:30] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:49:30] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , rschneider@smileddc.com]
[2025-10-07 13:49:30] DEBUG: Affected Rows: 1
[2025-10-07 13:49:30] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:49:30] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:49:51] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-10-07 13:49:51] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:49:51] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:49:51] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"undefined is not an object (evaluating 'e.data')"}
[2025-10-07 13:49:51] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: FAIL, Method: Apple Pay, Error JSON: \"undefined is not an object (evaluating \'e.data\')\", Token: 
[2025-10-07 13:49:51] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:49:51] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"undefined is not an object (evaluating \'e.data\')\", , rschneider@smileddc.com]
[2025-10-07 13:49:51] DEBUG: Affected Rows: 1
[2025-10-07 13:49:51] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:49:51] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:50:01] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:50:01] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:50:01] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:50:01] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:50:01] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-07 13:50:01] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:50:01] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , rschneider@smileddc.com]
[2025-10-07 13:50:01] DEBUG: Affected Rows: 1
[2025-10-07 13:50:01] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:50:01] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:51:12] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:51:12] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:51:12] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:51:12] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:51:12] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-07 13:51:12] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:51:12] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , rschneider@smileddc.com]
[2025-10-07 13:51:12] DEBUG: Affected Rows: 1
[2025-10-07 13:51:12] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:51:12] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:55:55] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:55:55] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:55:55] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:55:55] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-07 13:55:55] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-07 13:55:55] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:55:55] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , rschneider@smileddc.com]
[2025-10-07 13:55:55] DEBUG: Affected Rows: 1
[2025-10-07 13:55:55] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:55:55] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-07 13:57:06] INFO: Raw input received: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:57:06] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-07 13:57:06] DEBUG: Starting updatePaymentStatus()
[2025-10-07 13:57:06] DEBUG: Raw request param: {"user_email":"rschneider@smileddc.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-07 13:57:06] DEBUG: Sanitized Values - Email: rschneider@smileddc.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-07 13:57:06] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-07 13:57:06] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , rschneider@smileddc.com]
[2025-10-07 13:57:06] DEBUG: Affected Rows: 1
[2025-10-07 13:57:06] DEBUG: updatePaymentStatus() result: true
[2025-10-07 13:57:06] SUCCESS: Payment status updated for rschneider@smileddc.com
[2025-10-11 16:16:16] INFO: Raw input received: {"user_email":"jrdilge@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-11 16:16:16] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-11 16:16:16] DEBUG: Starting updatePaymentStatus()
[2025-10-11 16:16:16] DEBUG: Raw request param: {"user_email":"jrdilge@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-11 16:16:16] DEBUG: Sanitized Values - Email: jrdilge@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-11 16:16:16] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-11 16:16:16] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , jrdilge@gmail.com]
[2025-10-11 16:16:16] DEBUG: Affected Rows: 1
[2025-10-11 16:16:16] DEBUG: updatePaymentStatus() result: true
[2025-10-11 16:16:16] SUCCESS: Payment status updated for jrdilge@gmail.com
[2025-10-11 16:20:44] INFO: Raw input received: {"user_email":"jrdilge@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-11 16:20:44] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-11 16:20:44] DEBUG: Starting updatePaymentStatus()
[2025-10-11 16:20:44] DEBUG: Raw request param: {"user_email":"jrdilge@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-11 16:20:44] DEBUG: Sanitized Values - Email: jrdilge@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-11 16:20:44] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-11 16:20:44] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , jrdilge@gmail.com]
[2025-10-11 16:20:44] DEBUG: Affected Rows: 0
[2025-10-11 16:20:44] DEBUG: updatePaymentStatus() result: false
[2025-10-11 16:20:44] WARNING: No matching record found for user_email: jrdilge@gmail.com
[2025-10-16 16:46:21] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:46:21] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:46:21] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:46:21] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:46:21] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-16 16:46:21] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:46:21] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , nsnancyj8@gmail.com]
[2025-10-16 16:46:21] DEBUG: Affected Rows: 1
[2025-10-16 16:46:21] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:46:21] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-16 16:47:32] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:47:32] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:47:32] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:47:32] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:47:32] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-16 16:47:32] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:47:32] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , nsnancyj8@gmail.com]
[2025-10-16 16:47:32] DEBUG: Affected Rows: 1
[2025-10-16 16:47:32] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:47:32] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-16 16:48:15] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:48:15] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:48:15] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:48:15] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:48:15] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-16 16:48:15] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:48:15] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , nsnancyj8@gmail.com]
[2025-10-16 16:48:15] DEBUG: Affected Rows: 1
[2025-10-16 16:48:15] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:48:15] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-16 16:49:26] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:49:26] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:49:26] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:49:26] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:49:26] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-16 16:49:26] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:49:26] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , nsnancyj8@gmail.com]
[2025-10-16 16:49:26] DEBUG: Affected Rows: 1
[2025-10-16 16:49:26] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:49:26] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-16 16:50:28] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:50:28] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:50:28] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:50:28] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"INITIATED","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":null}
[2025-10-16 16:50:28] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: INITIATED, Method: Apple Pay, Error JSON: , Token: 
[2025-10-16 16:50:28] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:50:28] DEBUG: Bound Parameters - [INITIATED, Apple Pay, , , nsnancyj8@gmail.com]
[2025-10-16 16:50:28] DEBUG: Affected Rows: 1
[2025-10-16 16:50:28] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:50:28] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-16 16:51:39] INFO: Raw input received: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:51:39] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-16 16:51:39] DEBUG: Starting updatePaymentStatus()
[2025-10-16 16:51:39] DEBUG: Raw request param: {"user_email":"nsnancyj8@gmail.com","status":"FAIL","paymentMethod":"Apple Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-16 16:51:39] DEBUG: Sanitized Values - Email: nsnancyj8@gmail.com, Status: FAIL, Method: Apple Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-16 16:51:39] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-16 16:51:39] DEBUG: Bound Parameters - [FAIL, Apple Pay, \"Failed to generate payment link.\", , nsnancyj8@gmail.com]
[2025-10-16 16:51:39] DEBUG: Affected Rows: 1
[2025-10-16 16:51:39] DEBUG: updatePaymentStatus() result: true
[2025-10-16 16:51:39] SUCCESS: Payment status updated for nsnancyj8@gmail.com
[2025-10-17 23:22:26] INFO: Raw input received: 
[2025-10-17 23:22:26] ERROR: Missing or invalid user_email.
[2025-10-19 06:09:38] INFO: Raw input received: 
[2025-10-19 06:09:38] ERROR: Missing or invalid user_email.
[2025-10-19 16:04:17] INFO: Raw input received: {"user_email":"fida275+55@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 16:04:17] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-19 16:04:17] DEBUG: Starting updatePaymentStatus()
[2025-10-19 16:04:17] DEBUG: Raw request param: {"user_email":"fida275+55@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 16:04:17] DEBUG: Sanitized Values - Email: fida275+55@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-19 16:04:17] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-19 16:04:17] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275+55@gmail.com]
[2025-10-19 16:04:17] DEBUG: Affected Rows: 1
[2025-10-19 16:04:17] DEBUG: updatePaymentStatus() result: true
[2025-10-19 16:04:17] SUCCESS: Payment status updated for fida275+55@gmail.com
[2025-10-19 16:05:28] INFO: Raw input received: {"user_email":"fida275+55@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-19 16:05:28] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-19 16:05:28] DEBUG: Starting updatePaymentStatus()
[2025-10-19 16:05:28] DEBUG: Raw request param: {"user_email":"fida275+55@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-19 16:05:28] DEBUG: Sanitized Values - Email: fida275+55@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Cannot read properties of undefined (reading \'data\')\", Token: 
[2025-10-19 16:05:28] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-19 16:05:28] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Cannot read properties of undefined (reading \'data\')\", , fida275+55@gmail.com]
[2025-10-19 16:05:28] DEBUG: Affected Rows: 1
[2025-10-19 16:05:28] DEBUG: updatePaymentStatus() result: true
[2025-10-19 16:05:28] SUCCESS: Payment status updated for fida275+55@gmail.com
[2025-10-19 18:29:10] INFO: Raw input received: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 18:29:10] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-19 18:29:10] DEBUG: Starting updatePaymentStatus()
[2025-10-19 18:29:10] DEBUG: Raw request param: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 18:29:10] DEBUG: Sanitized Values - Email: Sheikhazeem.pk@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-19 18:29:10] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-19 18:29:10] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , Sheikhazeem.pk@gmail.com]
[2025-10-19 18:29:10] DEBUG: Affected Rows: 0
[2025-10-19 18:29:10] DEBUG: updatePaymentStatus() result: false
[2025-10-19 18:29:10] WARNING: No matching record found for user_email: Sheikhazeem.pk@gmail.com
[2025-10-19 18:30:04] INFO: Raw input received: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 18:30:04] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-19 18:30:04] DEBUG: Starting updatePaymentStatus()
[2025-10-19 18:30:04] DEBUG: Raw request param: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-19 18:30:04] DEBUG: Sanitized Values - Email: Sheikhazeem.pk@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-19 18:30:04] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-19 18:30:04] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , Sheikhazeem.pk@gmail.com]
[2025-10-19 18:30:04] DEBUG: Affected Rows: 0
[2025-10-19 18:30:04] DEBUG: updatePaymentStatus() result: false
[2025-10-19 18:30:04] WARNING: No matching record found for user_email: Sheikhazeem.pk@gmail.com
[2025-10-20 13:15:47] INFO: Raw input received: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-20 13:15:47] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-20 13:15:47] DEBUG: Starting updatePaymentStatus()
[2025-10-20 13:15:47] DEBUG: Raw request param: {"user_email":"Sheikhazeem.pk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-20 13:15:47] DEBUG: Sanitized Values - Email: Sheikhazeem.pk@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-20 13:15:47] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-20 13:15:47] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , Sheikhazeem.pk@gmail.com]
[2025-10-20 13:15:47] DEBUG: Affected Rows: 0
[2025-10-20 13:15:47] DEBUG: updatePaymentStatus() result: false
[2025-10-20 13:15:47] WARNING: No matching record found for user_email: Sheikhazeem.pk@gmail.com
[2025-10-21 03:10:48] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 03:10:48] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 03:10:48] DEBUG: Starting updatePaymentStatus()
[2025-10-21 03:10:48] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 03:10:48] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 03:10:48] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 03:10:48] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-10-21 03:10:48] DEBUG: Affected Rows: 1
[2025-10-21 03:10:48] DEBUG: updatePaymentStatus() result: true
[2025-10-21 03:10:48] SUCCESS: Payment status updated for fida275@gmail.com
[2025-10-21 03:11:59] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 03:11:59] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 03:11:59] DEBUG: Starting updatePaymentStatus()
[2025-10-21 03:11:59] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 03:11:59] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Cannot read properties of undefined (reading \'data\')\", Token: 
[2025-10-21 03:11:59] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 03:11:59] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Cannot read properties of undefined (reading \'data\')\", , fida275@gmail.com]
[2025-10-21 03:11:59] DEBUG: Affected Rows: 1
[2025-10-21 03:11:59] DEBUG: updatePaymentStatus() result: true
[2025-10-21 03:11:59] SUCCESS: Payment status updated for fida275@gmail.com
[2025-10-21 09:31:13] INFO: Raw input received: {"user_email":"sheikhazee.mpk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 09:31:13] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 09:31:13] DEBUG: Starting updatePaymentStatus()
[2025-10-21 09:31:13] DEBUG: Raw request param: {"user_email":"sheikhazee.mpk@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 09:31:13] DEBUG: Sanitized Values - Email: sheikhazee.mpk@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 09:31:13] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 09:31:13] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , sheikhazee.mpk@gmail.com]
[2025-10-21 09:31:13] DEBUG: Affected Rows: 0
[2025-10-21 09:31:13] DEBUG: updatePaymentStatus() result: false
[2025-10-21 09:31:13] WARNING: No matching record found for user_email: sheikhazee.mpk@gmail.com
[2025-10-21 09:32:24] INFO: Raw input received: {"user_email":"sheikhazee.mpk@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 09:32:24] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 09:32:24] DEBUG: Starting updatePaymentStatus()
[2025-10-21 09:32:24] DEBUG: Raw request param: {"user_email":"sheikhazee.mpk@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 09:32:24] DEBUG: Sanitized Values - Email: sheikhazee.mpk@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Cannot read properties of undefined (reading \'data\')\", Token: 
[2025-10-21 09:32:24] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 09:32:24] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Cannot read properties of undefined (reading \'data\')\", , sheikhazee.mpk@gmail.com]
[2025-10-21 09:32:24] DEBUG: Affected Rows: 1
[2025-10-21 09:32:24] DEBUG: updatePaymentStatus() result: true
[2025-10-21 09:32:24] SUCCESS: Payment status updated for sheikhazee.mpk@gmail.com
[2025-10-21 11:45:46] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 11:45:46] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 11:45:46] DEBUG: Starting updatePaymentStatus()
[2025-10-21 11:45:46] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 11:45:46] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 11:45:46] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 11:45:46] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , fida275@gmail.com]
[2025-10-21 11:45:46] DEBUG: Affected Rows: 1
[2025-10-21 11:45:46] DEBUG: updatePaymentStatus() result: true
[2025-10-21 11:45:46] SUCCESS: Payment status updated for fida275@gmail.com
[2025-10-21 11:46:57] INFO: Raw input received: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 11:46:57] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 11:46:57] DEBUG: Starting updatePaymentStatus()
[2025-10-21 11:46:57] DEBUG: Raw request param: {"user_email":"fida275@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Cannot read properties of undefined (reading 'data')"}
[2025-10-21 11:46:57] DEBUG: Sanitized Values - Email: fida275@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Cannot read properties of undefined (reading \'data\')\", Token: 
[2025-10-21 11:46:57] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 11:46:57] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Cannot read properties of undefined (reading \'data\')\", , fida275@gmail.com]
[2025-10-21 11:46:57] DEBUG: Affected Rows: 1
[2025-10-21 11:46:57] DEBUG: updatePaymentStatus() result: true
[2025-10-21 11:46:57] SUCCESS: Payment status updated for fida275@gmail.com
[2025-10-21 12:19:24] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:19:24] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:19:24] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:19:24] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:19:24] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:19:24] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:19:24] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:19:24] DEBUG: Affected Rows: 1
[2025-10-21 12:19:24] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:19:24] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:19:25] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:19:25] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:19:25] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:19:25] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:19:25] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:19:25] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:19:25] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:19:25] DEBUG: Affected Rows: 1
[2025-10-21 12:19:25] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:19:25] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:19:30] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:19:30] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:19:30] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:19:30] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:19:30] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:19:30] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:19:30] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:19:30] DEBUG: Affected Rows: 1
[2025-10-21 12:19:30] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:19:30] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:19:31] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:19:31] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:19:31] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:19:31] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:19:31] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:19:31] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:19:31] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:19:31] DEBUG: Affected Rows: 1
[2025-10-21 12:19:31] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:19:31] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:22:35] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:22:35] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:22:35] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:22:35] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:22:35] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:22:35] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:22:35] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:22:35] DEBUG: Affected Rows: 1
[2025-10-21 12:22:35] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:22:35] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:22:35] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-21 12:22:35] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:22:35] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:22:35] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-21 12:22:35] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-21 12:22:35] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:22:35] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Failed to generate payment link.\", , hgfhgf@gmail.com]
[2025-10-21 12:22:35] DEBUG: Affected Rows: 1
[2025-10-21 12:22:35] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:22:35] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:22:43] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:22:43] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:22:43] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:22:43] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:22:43] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:22:43] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:22:43] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:22:43] DEBUG: Affected Rows: 1
[2025-10-21 12:22:43] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:22:43] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:22:43] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-21 12:22:43] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:22:43] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:22:43] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"Failed to generate payment link."}
[2025-10-21 12:22:43] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"Failed to generate payment link.\", Token: 
[2025-10-21 12:22:43] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:22:43] DEBUG: Bound Parameters - [FAIL, Google Pay, \"Failed to generate payment link.\", , hgfhgf@gmail.com]
[2025-10-21 12:22:43] DEBUG: Affected Rows: 1
[2025-10-21 12:22:43] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:22:43] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:32] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:32] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:32] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:32] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:32] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:32] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:32] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:32] DEBUG: Affected Rows: 1
[2025-10-21 12:28:32] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:32] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:32] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:32] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:32] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:32] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:32] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:32] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:32] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:32] DEBUG: Affected Rows: 1
[2025-10-21 12:28:32] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:32] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:33] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:33] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:33] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:33] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:33] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:33] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:33] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:33] DEBUG: Affected Rows: 1
[2025-10-21 12:28:33] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:33] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:34] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:34] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:34] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:34] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:34] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:34] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:34] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:34] DEBUG: Affected Rows: 1
[2025-10-21 12:28:34] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:34] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:36] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:36] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:36] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:36] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:36] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:36] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:36] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:36] DEBUG: Affected Rows: 1
[2025-10-21 12:28:36] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:36] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:36] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:36] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:36] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:36] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:36] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:36] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:36] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:36] DEBUG: Affected Rows: 1
[2025-10-21 12:28:36] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:36] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:40] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:40] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:40] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:40] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:40] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:40] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:40] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:40] DEBUG: Affected Rows: 1
[2025-10-21 12:28:40] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:40] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:41] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:41] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:41] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:41] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:41] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:41] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:41] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:41] DEBUG: Affected Rows: 1
[2025-10-21 12:28:41] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:41] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:42] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:42] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:42] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:42] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:42] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:42] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:42] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:42] DEBUG: Affected Rows: 1
[2025-10-21 12:28:42] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:42] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:43] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:43] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:43] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:43] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:43] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:43] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:43] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:43] DEBUG: Affected Rows: 1
[2025-10-21 12:28:43] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:43] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:45] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:45] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:45] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:45] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:28:45] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:28:45] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:45] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:28:45] DEBUG: Affected Rows: 1
[2025-10-21 12:28:45] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:45] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:28:46] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:46] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:28:46] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:28:46] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:28:46] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:28:46] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:28:46] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:28:46] DEBUG: Affected Rows: 1
[2025-10-21 12:28:46] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:28:46] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:35:13] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:35:13] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:35:13] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:35:13] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:35:13] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:35:13] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:35:13] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:35:13] DEBUG: Affected Rows: 1
[2025-10-21 12:35:13] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:35:13] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:35:14] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:35:14] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:35:14] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:35:14] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:35:14] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:35:14] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:35:14] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:35:14] DEBUG: Affected Rows: 1
[2025-10-21 12:35:14] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:35:14] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:37:22] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:37:22] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:37:22] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:37:22] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:37:22] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: INITIATED, Method: Google Pay, Error JSON: , Token: 
[2025-10-21 12:37:22] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:37:22] DEBUG: Bound Parameters - [INITIATED, Google Pay, , , hgfhgf@gmail.com]
[2025-10-21 12:37:22] DEBUG: Affected Rows: 1
[2025-10-21 12:37:22] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:37:22] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:37:22] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:37:22] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:37:22] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:37:22] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"FAIL","paymentMethod":"Google Pay","payment_token":null,"errorDetails":"i is not a function"}
[2025-10-21 12:37:22] DEBUG: Sanitized Values - Email: hgfhgf@gmail.com, Status: FAIL, Method: Google Pay, Error JSON: \"i is not a function\", Token: 
[2025-10-21 12:37:22] DEBUG: Prepared SQL Query: UPDATE `abandoned_checkouts_tbl` 
            SET 
                `status` = ?, 
                `payment_method` = ?, 
                `payment_error` = ?,
                `payment_token` = ?
            WHERE `user_email` = ? 
            ORDER BY `created_at` DESC 
            LIMIT 1
[2025-10-21 12:37:22] DEBUG: Bound Parameters - [FAIL, Google Pay, \"i is not a function\", , hgfhgf@gmail.com]
[2025-10-21 12:37:22] DEBUG: Affected Rows: 1
[2025-10-21 12:37:22] DEBUG: updatePaymentStatus() result: true
[2025-10-21 12:37:22] SUCCESS: Payment status updated for hgfhgf@gmail.com
[2025-10-21 12:37:26] INFO: Raw input received: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[2025-10-21 12:37:26] INFO: Input validated successfully. Proceeding with updatePaymentStatus().
[2025-10-21 12:37:26] DEBUG: Starting updatePaymentStatus()
[2025-10-21 12:37:26] DEBUG: Raw request param: {"user_email":"hgfhgf@gmail.com","status":"INITIATED","paymentMethod":"Google Pay","payment_token":null,"errorDetails":null}
[...]
